% Example code - run microtubule simulations in absence of GTPase activity
% using a range of tubulin concentrations. Simulation defaults have been set
% according to conditions used in the publication. 'zz' is arbitrary
%
% NOTE: Path to fortran executable is specified in Smtl.m
%
% For usage details, see comments in Smtll.m and Smtl.m


% Directory where you want your stuff to run. Files will be stored here.
md = '/your/path/here';
cd (md); 

% Path to Smtll.m and Smtl.m
addpath('/path/to/your/matlab/codes');

% Create Smtll, specify directory and filename ('varyConcentration')
% Simulation Model 44, Start Condition 1, 50 simulation replicates.
zz = Smtll(md,'varyConcentration',44,1,50)

% Specify a concentration range to test [M]
zz.setPara(2).list = [7.5e-6 1e-5 1.25e-5 1.5e-5 1.75e-5];

% Parameters can be changed interactively in Matlab GUI, or also like this:
% r1.setPara(1).list = 740959; % change kon; 
zz=zz.addGenerated(); 
zz=zz.run()

% Visualize aggregate results in zz.stat

% To load one Smtl out of the Smtll:
zz_1=zz.getSmtl(1)

% Visualize individual simulation results in zz_1.stat
% Visualize individual simulation outputs in zz_1.data
